Skip to main content
PUT
/
moderation
/
reasons
/
{id}
Update Reason details
curl --request PUT \
  --url https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated name for unfiltered content."
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id}"

payload = { "name": "Updated name for unfiltered content." }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated name for unfiltered content.'})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Path Parameters

id
string
required

Id of the reason which needs to be updated.

Body

application/json
name
string

Updated display name for the content type.

Example:

"Updated name for unfiltered content."

Response

200 - application/json

Reason updated successfully.

data
object